> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseplate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Single Row

### Path Parameters

<ParamField path="id" type="string" required>
  Dataset ID
</ParamField>

<ParamField path="row-id" type="string" required>
  Row ID
</ParamField>

### Header

<ParamField header="Authorization" type="string" required>
  Baseplate API key. Must be in the format "Bearer \$BASEPLATE\_API\_KEY"
</ParamField>

<ParamField header="Content-Type" type="string">
  Use application/json
</ParamField>

### Body

<ParamField body="data" type="object" required>
  Updated data. Each key in this object should match a column in your dataset.
  Format is same as above example for insertion. One of metadata or data is
  required.
</ParamField>

<ParamField body="metadata" type="object" required>
  Updated metadata. One of metadata or data is required.
</ParamField>

### Responses

<Tab title="🟢 200: OK">
  ```json theme={null}
  {
    "id": 949495,
    "dataset_id": "354ee3c7-891b-4635-9613-857debf92233",
    "data": {
      "text": "Example"
    },
    "metadata": {
      "url": "/354ee3c7-891b-4635-9613-857debf92233/Example.pdf",
      "rowId": 949495,
      "documentId": "dad19711-b4b8-4e75-8944-2939bfeb06db"
    },
    "document_id": "dad19711-b4b8-4e75-8944-2939bfeb06db",
    "image_paths": {
      "img": "354ee3c7-891b-4635-9613-857debf92233/dad19711-b4b8-4e75-8944-2939bfeb06db/949495/img"
    }
  }
  ```
</Tab>
